## jcat-common

jcat-common

## Types and Values

enum | JcatImportFlags
enum | JcatExportFlags
enum | JcatVerifyFlags
enum | JcatSignFlags

## Description

## Functions

## Types and Values

### enum JcatImportFlags

Flags used for importing.

#### Members

JCAT_IMPORT_FLAG_NONE | No flags set |

### enum JcatExportFlags

Flags used for exporting.

#### Members

JCAT_EXPORT_FLAG_NONE | No flags set |
JCAT_EXPORT_FLAG_NO_TIMESTAMP | Do not export timestamps |

### enum JcatVerifyFlags

The flags to use when interacting with a keyring

#### Members

JCAT_VERIFY_FLAG_NONE | No flags set |
JCAT_VERIFY_FLAG_DISABLE_TIME_CHECKS | Disable checking of validity periods |
JCAT_VERIFY_FLAG_REQUIRE_CHECKSUM | Require the item contains at least one checksum |
JCAT_VERIFY_FLAG_REQUIRE_SIGNATURE | Require the item contains at least one signature |
JCAT_VERIFY_FLAG_ONLY_PQ | Only consider post-quantum signatures |

### enum JcatSignFlags

The flags to when signing a binary

#### Members

JCAT_SIGN_FLAG_NONE | No flags set |
JCAT_SIGN_FLAG_ADD_TIMESTAMP | Add a timestamp |
JCAT_SIGN_FLAG_ADD_CERT | Add a certificate |
JCAT_SIGN_FLAG_USE_PQ | Use post-quantum algorithm |